<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.3.2.14
Name: Rollenwahrnehmung und Sinnfindung
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.3.2.14-2011-12-19T000000">
   <title>Rollenwahrnehmung und Sinnfindung</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.14
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.14']]
Item: (RollenwahrnehmungSinnfindung)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.14
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.14']]/hl7:section
Item: (RollenwahrnehmungSinnfindung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.14']]/hl7:section"
         id="tmp-b284f494-f6ee-4a41-b984-8aa2a6cae5f9">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.14-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.2.14'])&gt;=1 ">(RollenwahrnehmungSinnfindung): Element hl7:templateId[@root='1.2.40.0.34.11.3.2.14'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.14-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.2.14'])&lt;=1">(RollenwahrnehmungSinnfindung): Element hl7:templateId[@root='1.2.40.0.34.11.3.2.14'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.14-2011-12-19T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(RollenwahrnehmungSinnfindung): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.14-2011-12-19T000000.html"
              test="count(hl7:code)&lt;=1">(RollenwahrnehmungSinnfindung): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.14-2011-12-19T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(RollenwahrnehmungSinnfindung): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.14-2011-12-19T000000.html"
              test="count(hl7:title)&lt;=1">(RollenwahrnehmungSinnfindung): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.14-2011-12-19T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(RollenwahrnehmungSinnfindung): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.14-2011-12-19T000000.html"
              test="count(hl7:text)&lt;=1">(RollenwahrnehmungSinnfindung): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.14
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.14']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.3.2.14']
Item: (RollenwahrnehmungSinnfindung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.14']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.3.2.14']"
         id="tmp-48bc3507-b03a-40b3-aae2-0f4c74cc0c23">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.14-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(RollenwahrnehmungSinnfindung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.14-2011-12-19T000000.html"
              test="string(@root)='1.2.40.0.34.11.3.2.14'">(RollenwahrnehmungSinnfindung): @root MUSS den Wert '1.2.40.0.34.11.3.2.14' haben.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.14
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.14']]/hl7:section/hl7:code
Item: (RollenwahrnehmungSinnfindung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.14']]/hl7:section/hl7:code"
         id="tmp-dce8eaf3-507e-415c-bb8f-31a3b5e43c74">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.14-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(RollenwahrnehmungSinnfindung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.14-2011-12-19T000000.html"
              test="@nullFlavor or (@code='PFROLL' and @codeSystem='1.2.40.0.34.5.40')">(RollenwahrnehmungSinnfindung): Der Elementinhalt MUSS sein code 'PFROLL' codeSystem '1.2.40.0.34.5.40'.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.14
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.14']]/hl7:section/hl7:title
Item: (RollenwahrnehmungSinnfindung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.14']]/hl7:section/hl7:title"
         id="tmp-afe88fb4-0eb8-41a9-a572-d6cb55c34e70">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.14-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(RollenwahrnehmungSinnfindung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.14-2011-12-19T000000.html"
              test="text()='Rollenwahrnehmung und Sinnfindung'">(RollenwahrnehmungSinnfindung): Der Elementinhalt von 'hl7:title' MUSS ''Rollenwahrnehmung und Sinnfindung'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.14
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.14']]/hl7:section/hl7:text
Item: (RollenwahrnehmungSinnfindung)
-->
</pattern>
