<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.3.2.8
Name: Atmung
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.3.2.8-2011-12-19T000000">
   <title>Atmung</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.8
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.8']]
Item: (Atmung)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.8
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.8']]/hl7:section
Item: (Atmung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.8']]/hl7:section"
         id="tmp-0c1ebfca-aaea-420a-916a-bf096e8a6327">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.8-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.2.8'])&gt;=1 ">(Atmung): Element hl7:templateId[@root='1.2.40.0.34.11.3.2.8'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.8-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.2.8'])&lt;=1">(Atmung): Element hl7:templateId[@root='1.2.40.0.34.11.3.2.8'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.8-2011-12-19T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Atmung): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.8-2011-12-19T000000.html"
              test="count(hl7:code)&lt;=1">(Atmung): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.8-2011-12-19T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Atmung): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.8-2011-12-19T000000.html"
              test="count(hl7:title)&lt;=1">(Atmung): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.8-2011-12-19T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(Atmung): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.8-2011-12-19T000000.html"
              test="count(hl7:text)&lt;=1">(Atmung): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.8
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.8']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.3.2.8']
Item: (Atmung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.8']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.3.2.8']"
         id="tmp-f2ebdb73-959c-43c9-b813-38f3d13cbf19">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.8-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Atmung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.8-2011-12-19T000000.html"
              test="string(@root)='1.2.40.0.34.11.3.2.8'">(Atmung): @root MUSS den Wert '1.2.40.0.34.11.3.2.8' haben.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.8
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.8']]/hl7:section/hl7:code
Item: (Atmung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.8']]/hl7:section/hl7:code"
         id="tmp-e8874904-a98f-4883-a946-5ed37e6d8d94">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.8-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Atmung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.8-2011-12-19T000000.html"
              test="@nullFlavor or (@code='PFATM' and @codeSystem='1.2.40.0.34.5.40')">(Atmung): Der Elementinhalt MUSS sein code 'PFATM' codeSystem '1.2.40.0.34.5.40'.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.8
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.8']]/hl7:section/hl7:title
Item: (Atmung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.8']]/hl7:section/hl7:title"
         id="tmp-6090d3d7-ee50-4357-a4b0-e10b6fd588fe">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.8-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Atmung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.8-2011-12-19T000000.html"
              test="text()='Atmung'">(Atmung): Der Elementinhalt von 'hl7:title' MUSS ''Atmung'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.8
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.8']]/hl7:section/hl7:text
Item: (Atmung)
-->
</pattern>
