<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.4.2.2
Name: Bereichsübergreifende Befundbewertung (Laboratory Report Comment Section)
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.4.2.2-2012-01-07T000000">
   <title>Bereichsübergreifende Befundbewertung (Laboratory Report Comment Section)</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.4.2.2']]
Item: (LaboratoryReportCommentSection)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.4.2.2']]/hl7:section
Item: (LaboratoryReportCommentSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.4.2.2']]/hl7:section"
         id="tmp-61e1d46f-3f76-4250-afa4-52a3985c3457">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.4.2.2-2012-01-07T000000.html"
              test="string(@classCode)='DOCSECT'">(LaboratoryReportCommentSection): Der Wert von @classCode MUSS 'DOCSECT' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.4.2.2-2012-01-07T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.4.2.2'])&gt;=1 ">(LaboratoryReportCommentSection): Element hl7:templateId[@root='1.2.40.0.34.11.4.2.2'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.4.2.2-2012-01-07T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.4.2.2'])&lt;=1">(LaboratoryReportCommentSection): Element hl7:templateId[@root='1.2.40.0.34.11.4.2.2'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.4.2.2-2012-01-07T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(LaboratoryReportCommentSection): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.4.2.2-2012-01-07T000000.html"
              test="count(hl7:code)&lt;=1">(LaboratoryReportCommentSection): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.4.2.2-2012-01-07T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(LaboratoryReportCommentSection): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.4.2.2-2012-01-07T000000.html"
              test="count(hl7:title)&lt;=1">(LaboratoryReportCommentSection): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.4.2.2-2012-01-07T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(LaboratoryReportCommentSection): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.4.2.2-2012-01-07T000000.html"
              test="count(hl7:text)&lt;=1">(LaboratoryReportCommentSection): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.4.2.2-2012-01-07T000000.html"
              test="count(hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]])&gt;=1 ">(LaboratoryReportCommentSection): Element hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.4.2.2-2012-01-07T000000.html"
              test="count(hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]])&lt;=1">(LaboratoryReportCommentSection): Element hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.4.2.2']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.4.2.2']
Item: (LaboratoryReportCommentSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.4.2.2']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.4.2.2']"
         id="tmp-18743c44-ac4f-4c93-aace-431bdfcfecff">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.4.2.2-2012-01-07T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(LaboratoryReportCommentSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.4.2.2-2012-01-07T000000.html"
              test="string(@root)='1.2.40.0.34.11.4.2.2'">(LaboratoryReportCommentSection): @root MUSS den Wert '1.2.40.0.34.11.4.2.2' haben.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.4.2.2']]/hl7:section/hl7:code
Item: (LaboratoryReportCommentSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.4.2.2']]/hl7:section/hl7:code"
         id="tmp-4f65812f-e22e-402e-b109-62b732e2d04f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.4.2.2-2012-01-07T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(LaboratoryReportCommentSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CD" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.4.2.2-2012-01-07T000000.html"
              test="@nullFlavor or (@code='20' and @codeSystem='1.2.40.0.34.5.47' and @displayName='Befundbewertung' and @codeSystemName='ELGA_Laborstruktur')">(LaboratoryReportCommentSection): Der Elementinhalt MUSS sein code '20' codeSystem '1.2.40.0.34.5.47' displayName='Befundbewertung' codeSystemName='ELGA_Laborstruktur'.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.4.2.2']]/hl7:section/hl7:title
Item: (LaboratoryReportCommentSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.4.2.2']]/hl7:section/hl7:title"
         id="tmp-aec88270-06af-41de-a2f2-4ec094e4a4cc">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.4.2.2-2012-01-07T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(LaboratoryReportCommentSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.4.2.2-2012-01-07T000000.html"
              test="text()='Befundbewertung'">(LaboratoryReportCommentSection): Der Elementinhalt von 'hl7:title' MUSS ''Befundbewertung'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.4.2.2']]/hl7:section/hl7:text
Item: (LaboratoryReportCommentSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.4.2.2']]/hl7:section/hl7:text"
         id="tmp-04b36a7e-adfe-43c8-8930-184dc8b1d499">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.4.2.2-2012-01-07T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(LaboratoryReportCommentSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>


   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.4.2.2']]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]]
Item: (LaboratoryReportCommentSection)
--></pattern>
