<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.5.2.1
Name: Anforderung
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.5.2.1-2012-01-12T000000">
   <title>Anforderung</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.1']]
Item: (Anforderung)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.1']]/hl7:section
Item: (Anforderung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.1']]/hl7:section"
         id="tmp-887a80f2-873f-4e45-a5a0-e5e73c25cf31">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.5.2.1-2012-01-12T000000.html"
              test="string(@classCode)='DOCSECT' or not(@classCode)">(Anforderung): Der Wert von @classCode MUSS 'DOCSECT' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.5.2.1-2012-01-12T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.5.2.1'])&gt;=1 ">(Anforderung): Element hl7:templateId[@root='1.2.40.0.34.11.5.2.1'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.5.2.1-2012-01-12T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.5.2.1'])&lt;=1">(Anforderung): Element hl7:templateId[@root='1.2.40.0.34.11.5.2.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.5.2.1-2012-01-12T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Anforderung): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.5.2.1-2012-01-12T000000.html"
              test="count(hl7:code)&lt;=1">(Anforderung): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.5.2.1-2012-01-12T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Anforderung): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.5.2.1-2012-01-12T000000.html"
              test="count(hl7:title)&lt;=1">(Anforderung): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.5.2.1-2012-01-12T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(Anforderung): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.5.2.1-2012-01-12T000000.html"
              test="count(hl7:text)&lt;=1">(Anforderung): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.1']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.5.2.1']
Item: (Anforderung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.1']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.5.2.1']"
         id="tmp-d2d7702c-4683-4a85-9e08-4d113d6f1044">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.5.2.1-2012-01-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Anforderung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.5.2.1-2012-01-12T000000.html"
              test="string(@root)='1.2.40.0.34.11.5.2.1'">(Anforderung): @root MUSS den Wert '1.2.40.0.34.11.5.2.1' haben.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.1']]/hl7:section/hl7:code
Item: (Anforderung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.1']]/hl7:section/hl7:code"
         id="tmp-b2106b11-651c-493f-9af1-8aaf096c3b5b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.5.2.1-2012-01-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Anforderung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.5.2.1-2012-01-12T000000.html"
              test="@nullFlavor or (@code='55115-0' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Requested imaging studies information' and @codeSystemName='LOINC')">(Anforderung): Der Elementinhalt MUSS sein code '55115-0' codeSystem '2.16.840.1.113883.6.1' displayName='Requested imaging studies information' codeSystemName='LOINC'.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.1']]/hl7:section/hl7:title
Item: (Anforderung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.1']]/hl7:section/hl7:title"
         id="tmp-b0fe608a-7598-44f1-83db-f89c7191790c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.5.2.1-2012-01-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Anforderung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.5.2.1-2012-01-12T000000.html"
              test="text()='Anforderung'">(Anforderung): Der Elementinhalt von 'hl7:title' MUSS ''Anforderung'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.1']]/hl7:section/hl7:text
Item: (Anforderung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.1']]/hl7:section/hl7:text"
         id="tmp-f0194d23-6d59-42ae-a9a6-67e8ad59e7d6">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.5.2.1-2012-01-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='ED' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Anforderung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ED" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
