<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.5.2.9
Name: Befund
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.5.2.9-2012-01-12T000000">
   <title>Befund</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.9
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.9']]
Item: (Befund)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.9
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.9']]/hl7:section
Item: (Befund)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.9']]/hl7:section"
         id="tmp-ea7a95cc-7d09-4b7b-81f2-07593e16ff85">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.5.2.9-2012-01-12T000000.html"
              test="string(@classCode)='DOCSECT' or not(@classCode)">(Befund): Der Wert von @classCode MUSS 'DOCSECT' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.5.2.9-2012-01-12T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.5.2.9'])&gt;=1 ">(Befund): Element hl7:templateId[@root='1.2.40.0.34.11.5.2.9'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.5.2.9-2012-01-12T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.5.2.9'])&lt;=1">(Befund): Element hl7:templateId[@root='1.2.40.0.34.11.5.2.9'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.5.2.9-2012-01-12T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Befund): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.5.2.9-2012-01-12T000000.html"
              test="count(hl7:code)&lt;=1">(Befund): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.5.2.9-2012-01-12T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Befund): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.5.2.9-2012-01-12T000000.html"
              test="count(hl7:title)&lt;=1">(Befund): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.5.2.9-2012-01-12T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(Befund): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.5.2.9-2012-01-12T000000.html"
              test="count(hl7:text)&lt;=1">(Befund): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.9
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.9']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.5.2.9']
Item: (Befund)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.9']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.5.2.9']"
         id="tmp-fee9130d-d447-41dd-8ca0-3c140685ef13">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.5.2.9-2012-01-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Befund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.5.2.9-2012-01-12T000000.html"
              test="string(@root)='1.2.40.0.34.11.5.2.9'">(Befund): @root MUSS den Wert '1.2.40.0.34.11.5.2.9' haben.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.9
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.9']]/hl7:section/hl7:code
Item: (Befund)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.9']]/hl7:section/hl7:code"
         id="tmp-765dfa74-fc72-45bf-84bb-6e79b7cb719d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.5.2.9-2012-01-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Befund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.5.2.9-2012-01-12T000000.html"
              test="@nullFlavor or (@code='18782-3' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Study observation' and @codeSystemName='LOINC')">(Befund): Der Elementinhalt MUSS sein code '18782-3' codeSystem '2.16.840.1.113883.6.1' displayName='Study observation' codeSystemName='LOINC'.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.9
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.9']]/hl7:section/hl7:title
Item: (Befund)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.9']]/hl7:section/hl7:title"
         id="tmp-2c147599-346d-4740-88b8-7e37ebd990a1">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.5.2.9-2012-01-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Befund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.5.2.9-2012-01-12T000000.html"
              test="text()='Befund'">(Befund): Der Elementinhalt von 'hl7:title' MUSS ''Befund'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.9
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.9']]/hl7:section/hl7:text
Item: (Befund)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.9']]/hl7:section/hl7:text"
         id="tmp-e9d9aa86-aa7b-4173-9208-0a4cca4ab377">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.5.2.9-2012-01-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='ED' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Befund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ED" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
   </rule>


   <!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.9
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.9']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.12']]]
Item: (Befund)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.9
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.9']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.40.0.34.11.5.3.1']]]
Item: (Befund)
--></pattern>
