<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.3.2.17
Name: Entlassungsmanagement (full)
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.3.2.17-2013-04-17T000000">
   <title>Entlassungsmanagement (full)</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.17
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.17']]
Item: (EntlassungsmanagementFull)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.17
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.17']]/hl7:section
Item: (EntlassungsmanagementFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.17']]/hl7:section"
         id="tmp-6d4a24bb-8d1c-4c7c-b977-641e06e475fe">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.17-2013-04-17T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.2.17'])&gt;=1 ">(EntlassungsmanagementFull): Element hl7:templateId[@root='1.2.40.0.34.11.3.2.17'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.17-2013-04-17T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.2.17'])&lt;=1">(EntlassungsmanagementFull): Element hl7:templateId[@root='1.2.40.0.34.11.3.2.17'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.17-2013-04-17T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.32'])&gt;=1 ">(EntlassungsmanagementFull): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.32'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.17-2013-04-17T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.32'])&lt;=1">(EntlassungsmanagementFull): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.32'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.17-2013-04-17T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(EntlassungsmanagementFull): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.17-2013-04-17T000000.html"
              test="count(hl7:code)&lt;=1">(EntlassungsmanagementFull): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.17-2013-04-17T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(EntlassungsmanagementFull): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.17-2013-04-17T000000.html"
              test="count(hl7:title)&lt;=1">(EntlassungsmanagementFull): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.17-2013-04-17T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(EntlassungsmanagementFull): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.17-2013-04-17T000000.html"
              test="count(hl7:text)&lt;=1">(EntlassungsmanagementFull): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.17-2013-04-17T000000.html"
              test="count(hl7:entry)&gt;=1 ">(EntlassungsmanagementFull): Element hl7:entry ist required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.17
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.17']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.3.2.17']
Item: (EntlassungsmanagementFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.17']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.3.2.17']"
         id="tmp-d66d34e8-8d89-4c7d-b217-ee3c3ee79088">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.17-2013-04-17T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(EntlassungsmanagementFull): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.17-2013-04-17T000000.html"
              test="string(@root)='1.2.40.0.34.11.3.2.17'">(EntlassungsmanagementFull): @root MUSS den Wert '1.2.40.0.34.11.3.2.17' haben.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.17
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.17']]/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.32']
Item: (EntlassungsmanagementFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.17']]/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.32']"
         id="tmp-a99b54dc-346e-4038-8636-3b83389f1e0b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.17-2013-04-17T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(EntlassungsmanagementFull): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.17-2013-04-17T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.5.3.1.3.32'">(EntlassungsmanagementFull): @root MUSS den Wert '1.3.6.1.4.1.19376.1.5.3.1.3.32' haben.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30012
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.17']]/hl7:section
Item: (EntlassungsmanagementAlleEIS)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.30012
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.17']]/hl7:section/hl7:code
Item: (EntlassungsmanagementAlleEIS)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.17']]/hl7:section/hl7:code"
         id="tmp-1b8840f2-961f-4b96-b8db-ed87d836c7b0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30012-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(EntlassungsmanagementAlleEIS): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30012-2011-12-19T000000.html"
              test="@nullFlavor or (@code='8650-4' and @codeSystem='2.16.840.1.113883.6.1')">(EntlassungsmanagementAlleEIS): Der Elementinhalt MUSS sein code '8650-4' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30012
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.17']]/hl7:section/hl7:title
Item: (EntlassungsmanagementAlleEIS)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.17']]/hl7:section/hl7:title"
         id="tmp-c84a8001-318f-4c39-a491-e83bad3db34b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30012-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(EntlassungsmanagementAlleEIS): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30012-2011-12-19T000000.html"
              test="text()='Entlassungsmanagement'">(EntlassungsmanagementAlleEIS): Der Elementinhalt von 'hl7:title' MUSS ''Entlassungsmanagement'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30012
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.17']]/hl7:section/hl7:text
Item: (EntlassungsmanagementAlleEIS)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.17
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.17']]/hl7:section/hl7:entry
Item: (EntlassungsmanagementFull)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.17']]/hl7:section/hl7:entry"
         id="tmp-3ec54988-20a3-41ee-9ec9-87da7abb8a3e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.2.17-2013-04-17T000000.html"
              test="string(@typeCode)='DRIV' or not(@typeCode)">(EntlassungsmanagementFull): Der Wert von @typeCode MUSS 'DRIV' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.17']]/hl7:section/hl7:entry
Item: (EntlassungsmanagementEntry)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.17']]/hl7:section/hl7:entry
Item: (EntlassungsmanagementEntry)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.17']]/hl7:section/hl7:entry/hl7:act[hl7:code[@code='GEPLENTLDAT' and @codeSystem='1.2.40.0.34.5.28']]
Item: (EntlassungsmanagementEntry)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.17']]/hl7:section/hl7:entry/hl7:act[hl7:code[@code='GEPLENTLDAT' and @codeSystem='1.2.40.0.34.5.28']]"
         id="tmp-17c2f6b1-29e3-4e0c-b5a9-30642fbd7325">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="string(@classCode)='ACT'">(EntlassungsmanagementEntry): Der Wert von @classCode MUSS 'ACT' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="string(@moodCode)='INT'">(EntlassungsmanagementEntry): Der Wert von @moodCode MUSS 'INT' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.3.2'])&gt;=1 ">(EntlassungsmanagementEntry): Element hl7:templateId[@root='1.2.40.0.34.11.3.3.2'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.3.2'])&lt;=1">(EntlassungsmanagementEntry): Element hl7:templateId[@root='1.2.40.0.34.11.3.3.2'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2'])&gt;=1 ">(EntlassungsmanagementEntry): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2'])&lt;=1">(EntlassungsmanagementEntry): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(EntlassungsmanagementEntry): Element hl7:id ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="count(hl7:id)&lt;=1">(EntlassungsmanagementEntry): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(EntlassungsmanagementEntry): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="count(hl7:code)&lt;=1">(EntlassungsmanagementEntry): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(EntlassungsmanagementEntry): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="count(hl7:text)&lt;=1">(EntlassungsmanagementEntry): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(EntlassungsmanagementEntry): Element hl7:statusCode ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="count(hl7:statusCode)&lt;=1">(EntlassungsmanagementEntry): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(EntlassungsmanagementEntry): Element hl7:effectiveTime ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(EntlassungsmanagementEntry): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.17']]/hl7:section/hl7:entry/hl7:act[hl7:code[@code='GEPLENTLDAT' and @codeSystem='1.2.40.0.34.5.28']]/hl7:templateId[@root='1.2.40.0.34.11.3.3.2']
Item: (EntlassungsmanagementEntry)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.17']]/hl7:section/hl7:entry/hl7:act[hl7:code[@code='GEPLENTLDAT' and @codeSystem='1.2.40.0.34.5.28']]/hl7:templateId[@root='1.2.40.0.34.11.3.3.2']"
         id="tmp-2c3eec6a-7c23-4dd2-b3d7-5f406efe4fa3">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(EntlassungsmanagementEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="string(@root)='1.2.40.0.34.11.3.3.2'">(EntlassungsmanagementEntry): @root MUSS den Wert '1.2.40.0.34.11.3.3.2' haben.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.17']]/hl7:section/hl7:entry/hl7:act[hl7:code[@code='GEPLENTLDAT' and @codeSystem='1.2.40.0.34.5.28']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2']
Item: (EntlassungsmanagementEntry)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.17']]/hl7:section/hl7:entry/hl7:act[hl7:code[@code='GEPLENTLDAT' and @codeSystem='1.2.40.0.34.5.28']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2']"
         id="tmp-5832addc-2a07-41b1-a9c7-dd41ecd66ecf">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(EntlassungsmanagementEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2'">(EntlassungsmanagementEntry): @root MUSS den Wert '1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2' haben.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.17']]/hl7:section/hl7:entry/hl7:act[hl7:code[@code='GEPLENTLDAT' and @codeSystem='1.2.40.0.34.5.28']]/hl7:id
Item: (EntlassungsmanagementEntry)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.17']]/hl7:section/hl7:entry/hl7:act[hl7:code[@code='GEPLENTLDAT' and @codeSystem='1.2.40.0.34.5.28']]/hl7:id"
         id="tmp-57bfbab9-b455-462c-9197-3596978f6412">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(EntlassungsmanagementEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.17']]/hl7:section/hl7:entry/hl7:act[hl7:code[@code='GEPLENTLDAT' and @codeSystem='1.2.40.0.34.5.28']]/hl7:code
Item: (EntlassungsmanagementEntry)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.17']]/hl7:section/hl7:entry/hl7:act[hl7:code[@code='GEPLENTLDAT' and @codeSystem='1.2.40.0.34.5.28']]/hl7:code"
         id="tmp-cd1eda37-10e4-43c5-8235-4074ed9f0a4a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(EntlassungsmanagementEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="@nullFlavor or (@code='GEPLENTLDAT' and @codeSystem='1.2.40.0.34.5.28' and @displayName='Geplantes Entlassungsdatum')">(EntlassungsmanagementEntry): Der Elementinhalt MUSS sein code 'GEPLENTLDAT' codeSystem '1.2.40.0.34.5.28' displayName='Geplantes Entlassungsdatum'.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="count(hl7:originalText)&lt;=1">(EntlassungsmanagementEntry): Element hl7:originalText kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.17']]/hl7:section/hl7:entry/hl7:act[hl7:code[@code='GEPLENTLDAT' and @codeSystem='1.2.40.0.34.5.28']]/hl7:code/hl7:originalText
Item: (EntlassungsmanagementEntry)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.17']]/hl7:section/hl7:entry/hl7:act[hl7:code[@code='GEPLENTLDAT' and @codeSystem='1.2.40.0.34.5.28']]/hl7:code/hl7:originalText"
         id="tmp-dbecf709-9484-473e-954e-792ec5764f4c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='ED' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(EntlassungsmanagementEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ED" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.17']]/hl7:section/hl7:entry/hl7:act[hl7:code[@code='GEPLENTLDAT' and @codeSystem='1.2.40.0.34.5.28']]/hl7:text
Item: (EntlassungsmanagementEntry)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.17']]/hl7:section/hl7:entry/hl7:act[hl7:code[@code='GEPLENTLDAT' and @codeSystem='1.2.40.0.34.5.28']]/hl7:text"
         id="tmp-6b19d382-555f-402b-907f-d2d9440502d1">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='ED' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(EntlassungsmanagementEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ED" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(EntlassungsmanagementEntry): Element hl7:reference ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="count(hl7:reference)&lt;=1">(EntlassungsmanagementEntry): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.17']]/hl7:section/hl7:entry/hl7:act[hl7:code[@code='GEPLENTLDAT' and @codeSystem='1.2.40.0.34.5.28']]/hl7:text/hl7:reference
Item: (EntlassungsmanagementEntry)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.17']]/hl7:section/hl7:entry/hl7:act[hl7:code[@code='GEPLENTLDAT' and @codeSystem='1.2.40.0.34.5.28']]/hl7:text/hl7:reference"
         id="tmp-61159ef0-b180-4a0f-8960-9a0d8150fc3c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='TEL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(EntlassungsmanagementEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "TEL" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.17']]/hl7:section/hl7:entry/hl7:act[hl7:code[@code='GEPLENTLDAT' and @codeSystem='1.2.40.0.34.5.28']]/hl7:statusCode
Item: (EntlassungsmanagementEntry)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.17']]/hl7:section/hl7:entry/hl7:act[hl7:code[@code='GEPLENTLDAT' and @codeSystem='1.2.40.0.34.5.28']]/hl7:statusCode"
         id="tmp-c66cf83d-3f44-4294-af20-3d276a0b190a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(EntlassungsmanagementEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CS" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="@nullFlavor or (@code='normal')">(EntlassungsmanagementEntry): Der Elementinhalt MUSS sein code 'normal'.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.17']]/hl7:section/hl7:entry/hl7:act[hl7:code[@code='GEPLENTLDAT' and @codeSystem='1.2.40.0.34.5.28']]/hl7:effectiveTime
Item: (EntlassungsmanagementEntry)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.17']]/hl7:section/hl7:entry/hl7:act[hl7:code[@code='GEPLENTLDAT' and @codeSystem='1.2.40.0.34.5.28']]/hl7:effectiveTime"
         id="tmp-1a64413c-73c7-41d4-9cff-9f71cef8b11d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='IVL_TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(EntlassungsmanagementEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "IVL_TS" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(EntlassungsmanagementEntry): Element hl7:low ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="count(hl7:low)&lt;=1">(EntlassungsmanagementEntry): Element hl7:low kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="count(hl7:high)&gt;=1 ">(EntlassungsmanagementEntry): Element hl7:high ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="count(hl7:high)&lt;=1">(EntlassungsmanagementEntry): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.17']]/hl7:section/hl7:entry/hl7:act[hl7:code[@code='GEPLENTLDAT' and @codeSystem='1.2.40.0.34.5.28']]/hl7:effectiveTime/hl7:low
Item: (EntlassungsmanagementEntry)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.17']]/hl7:section/hl7:entry/hl7:act[hl7:code[@code='GEPLENTLDAT' and @codeSystem='1.2.40.0.34.5.28']]/hl7:effectiveTime/hl7:low"
         id="tmp-4702b745-4728-4737-8c50-9d8cb77d4aca">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(EntlassungsmanagementEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "TS" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.17']]/hl7:section/hl7:entry/hl7:act[hl7:code[@code='GEPLENTLDAT' and @codeSystem='1.2.40.0.34.5.28']]/hl7:effectiveTime/hl7:high
Item: (EntlassungsmanagementEntry)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.17']]/hl7:section/hl7:entry/hl7:act[hl7:code[@code='GEPLENTLDAT' and @codeSystem='1.2.40.0.34.5.28']]/hl7:effectiveTime/hl7:high"
         id="tmp-885101a9-aebc-4f25-84e6-bbdd4a502308">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(EntlassungsmanagementEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "TS" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.3.3.2-2011-12-19T000000.html"
              test="string(@nullFlavor)='NI'">(EntlassungsmanagementEntry): Der Wert von @nullFlavor MUSS 'NI' sein.</assert>
   </rule>
</pattern>
